/**
  *  \file int/export/expconfig.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_EXPORT_EXPCONFIG_H
#define PCC_V2_INT_EXPORT_EXPCONFIG_H

#include "util/confpars.h"
#include "int/export.h"

class IntExportConfigParser : public ConfigParser {
 public:
    IntExportConfigParser(IntExportFieldList& fieldList);

    virtual void assign(int line_id, string_t name, string_t value, string_t line);

    bool getOutputFormat(IntExportOutputType& result) const;
    bool getCharsetIndex(int& result) const;

 private:
    IntExportFieldList& m_fieldList;
    IntExportOutputType m_outputFormat;
    int m_charsetIndex;
    bool m_outputFormatSet;
    bool m_charsetIndexSet;
};

#endif
